%global srcname Markdown
%global pkgname markdown

Summary:        Markdown implementation in Python
Name:           python-%{pkgname}
Version:        3.5.1
Release:        3%{?dist}
License:        BSD
URL:            https://python-markdown.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This is a Python implementation of John Gruber’s Markdown. It is
almost completely compliant with the reference implementation,
though there are a few very minor differences.


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        Markdown implementation in Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-PyYAML
BuildRequires:  python%{python3_pkgversion}-setuptools


%description -n python%{python3_pkgversion}-%{pkgname}
This is a Python implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation,
though there are a few known issues.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pkgname}


%check
%python3 -m unittest discover tests


%files -n python%{python3_pkgversion}-%{pkgname} -f %{pyproject_files}
%license LICENSE.*
%{_bindir}/markdown_py


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.1-2
- Rebuilt for loongarch release

* Wed Jan 17 2024 Shuo Wang <abushwang@tencent.com> - 3.5.1-1
- update to 3.5.1

* Mon Sep 25 2023 rockerzhu <rockerzhu@tencent.com> - 3.4.4-1
- Upgrade to 3.4.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 8 2022 cunshunxia <cunshunxia@tencent.com> - 3.3.6-1
- initial build
